curl --request GET \
--url https://api.runtools.ai/v1/threads/{threadId} \
--header 'Authorization: Bearer <token>'{
"data": {
"thread": {
"id": "thr_abc123",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"executionMode": "in_sandbox",
"archived": true,
"activeRolloutId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"events": [
{
"sequence": 123,
"rolloutId": "<string>",
"threadId": "<string>",
"runId": "<string>",
"type": "run_started",
"payload": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}curl --request GET \
--url https://api.runtools.ai/v1/threads/{threadId} \
--header 'Authorization: Bearer <token>'{
"data": {
"thread": {
"id": "thr_abc123",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"executionMode": "in_sandbox",
"archived": true,
"activeRolloutId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"events": [
{
"sequence": 123,
"rolloutId": "<string>",
"threadId": "<string>",
"runId": "<string>",
"type": "run_started",
"payload": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt
Use this file to discover all available pages before exploring further.
WorkOS session token or RunTools API key (rt_live_* / rt_test_*).
Used in Authorization: Bearer <token> header.
Maximum number of rows to return.
1 <= x <= 500Pass all_rollouts to include events across all rollouts.
all_rollouts Thread snapshot.
Show child attributes